package com.lz.modules.flow.dao;
/**
* <p>
* 发起考核表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.flow.entity.FlowStart;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowStartMapper extends BaseMapper<FlowStart> {


	FlowStart selectFlowStartById(@Param("id")Long id);


	Long insertFlowStart(FlowStart flowStart);


	int updateFlowStartById(FlowStart flowStart);


	int updateCoverFlowStartById(FlowStart flowStart);


	int deleteFlowStartById(@Param("id")Long id);

	List<FlowStart> selectListByTime(@Param("page") IPage page, @Param("cycleType")Integer cycleType,@Param("name")String name);

    FlowStart selectFlowStartByName(@Param("name") String name);

	List<FlowStart> selectListByPage(@Param("page")IPage page,@Param("cycleType") Integer cycleType);

	FlowStart selectRecentlyLimt();
}